commit:     674c26ca8fd885341bfa3eebf72fa2e6d710b247
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 18 21:00:18 2019 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Mon Feb 18 21:00:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=674c26ca

net-mail/qmail-autoresponder: Revbump for EAPI and dependency change

Non-maintainer commit

Bug: https://bugs.gentoo.org/665998
Package-Manager: Portage-2.3.61, Repoman-2.3.12
Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 ...2.ebuild => qmail-autoresponder-0.97-r3.ebuild} | 23 +++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

diff --git a/net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r2.ebuild 
b/net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r3.ebuild
similarity index 68%
rename from net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r2.ebuild
rename to net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r3.ebuild
index 6950af0af69..d27b7bd9ce5 100644
--- a/net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r2.ebuild
+++ b/net-mail/qmail-autoresponder/qmail-autoresponder-0.97-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="2"
+EAPI=7
 
-inherit toolchain-funcs eutils multilib
+inherit toolchain-funcs
 
 DESCRIPTION="Rate-limited autoresponder for qmail"
 HOMEPAGE="http://untroubled.org/qmail-autoresponder/";
@@ -15,7 +15,7 @@ KEYWORDS="~alpha ~amd64 ~hppa ~mips ~ppc ~sparc ~x86"
 IUSE="mysql"
 
 DEPEND=">=dev-libs/bglibs-1.106
-       mysql? ( virtual/mysql )"
+       mysql? ( dev-db/mysql-connector-c:0= )"
 RDEPEND="
        ${DEPEND}
        virtual/qmail
@@ -23,14 +23,15 @@ RDEPEND="
 "
 
 src_prepare() {
-       use mysql || epatch     "${FILESDIR}/${PN}-0.97-remove-mysql.h.diff"
+       use mysql || eapply "${FILESDIR}/${PN}-0.97-remove-mysql.h.diff"
+       default
 }
 
 src_configure() {
-       echo "/usr/include/bglibs" > conf-bgincs
-       echo "/usr/$(get_libdir)/bglibs" > conf-bglibs
-       echo "$(tc-getCC) ${CFLAGS}" > conf-cc
-       echo "$(tc-getCC) ${LDFLAGS}" > conf-ld
+       echo "/usr/include/bglibs" > conf-bgincs || die
+       echo "/usr/$(get_libdir)/bglibs" > conf-bglibs || die
+       echo "$(tc-getCC) ${CFLAGS}" > conf-cc || die
+       echo "$(tc-getCC) ${LDFLAGS}" > conf-ld || die
 }
 
 src_compile() {
@@ -42,10 +43,10 @@ src_compile() {
 }
 
 src_install () {
-       dobin qmail-autoresponder || die
+       dobin qmail-autoresponder
        doman qmail-autoresponder.1
        if use mysql; then
-               dobin qmail-autoresponder-mysql || die
+               dobin qmail-autoresponder-mysql
                dodoc schema.mysql
        fi
 

Reply via email to